Debian Bug report logs - #658432
RM: xeji -- RoQA; unmaintained, low popcon

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Daniel Martí <danielmarti.debian@gmail.com>

Date: Thu, 2 Feb 2012 22:48:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658432; Package sponsorship-requests. (Thu, 02 Feb 2012 22:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Martí <danielmarti.debian@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Thu, 02 Feb 2012 22:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Martí <danielmarti.debian@gmail.com>
To: submit@bugs.debian.org
Subject: RFS: xeji [ITA] -- Yet Another Follow the Mouse X demo
Date: Thu, 2 Feb 2012 23:45:28 +0100
[Message part 1 (text/plain, inline)]
package: sponsorship-requests
severity: normal

Dear mentors,

I am looking for a sponsor for my package "xeji".

 * Package name    : xeji
   Version         : 1.2-15
 * URL             : (No upstream available; abandoned)
 * License         : GPL
   Section         : x11

It builds those binary packages:

xeji  - Yet Another Follow the Mouse X demo

To access further information about this package, please visit the following URL:

  http://mentors.debian.net/package/xeji

Alternatively, one can download the package with dget using this command:

  dget -x http://mentors.debian.net/debian/pool/main/x/xeji/xeji_1.2-15.dsc

I would be glad if someone uploaded this package for me.

Kind regards,

Daniel Martí

-- 
Daniel Martí - mvdan.cc - 0x58BF72C3
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658432; Package sponsorship-requests. (Fri, 03 Feb 2012 02:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 03 Feb 2012 02:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 658432@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: Daniel Martí <danielmarti.debian@gmail.com>, 658432@bugs.debian.org
Subject: Re: Bug#658432: RFS: xeji [ITA] -- Yet Another Follow the Mouse X demo
Date: Fri, 03 Feb 2012 03:21:29 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tags 658432 +moreinfo +wontfix
thanks

Hi Daniel,

On 02.02.2012 23:45, Daniel Martí wrote:
> dget -x
> http://mentors.debian.net/debian/pool/main/x/xeji/xeji_1.2-15.dsc

First let me point out, I don't see much reasons to upload this
package to Debian (not that I could anyway). It was orphaned and
should rather be removed than uploaded. You even say yourself your
primary purpose is to learn packaging [1], hence I'd suggest you to
pick a package you really care for instead.

The package you picked has a low popcon [2] no reverse dependencies
and seems generally not helpful at all. That said, if you really want
to maintain this package that's up to you. Here is a review:

* You modified the orig.tar.gz tarball somehow:

$ md5sum deb-version/xeji_1.2.orig.tar.gz
mentors-version/xeji_1.2.orig.tar.gz
afc838ca6174ac98d67b1580832e24d4  deb-version/xeji_1.2.orig.tar.gz
68893c38485b8063cdd6fbe81da76e11  mentors-version/xeji_1.2.orig.tar.gz

That's not acceptable, especially since the tarball was already
uploaded to Debian archives. Thus, you are not allowed to change the
tarball anymore, once it was uploaded without pushing a new upstream
version.

Feel free to remove the "wontfix" tag once you addressed the tarball
issue. Everything else is of lower importance.


* debian/compat 6 is somewhat outdated these days. Joey released
debehelper 9 just recently. Note, using compat 6 is not a tragedy, but
you would profit from using compat 7 or higher a lot.

* The synopsis line of the package is not really helpful (yet another
<whatever> does not help anyone) and does not match our guidelines [3].

* You use the old copyright format, consider upgrading to DEP-5
instead (that's optional of course).

* Why do you install manpages manually in debian/rules? You should use
dh_installman instead. This makes both, the install rule and the
"dirs" file unneeded.

* You should use the short dh form. Check [5] and dh(1) for examples.
Most people consider the old-style debhelper form deprecated. While
you are it, remove the source and diff targets. They are obsolete
since ages it appears.

* The package breaks the hardening release goal [6]. See [7] to learn
how to apply hardening flags.

* Since you upgraded to 3.0/quilt there is no point to add manpages as
a patch anymore. Just put the file into debian/ and install it as I
outlined above.

* patches/xeji_c.patch misses an appropriate DEP-3 header (that's
optional again)

* Don't override I: and W: tags in Lintian. Moreover, note your
explanation for overriding
"copyright-should-refer-to-common-license-file-for-gpl" is wrong.
That's not what the tag is about.

* Remove the README.Debian file. The URL is dead and its information
is redundant to debian/copyright.


[1] bugs.debian.org/592977
[2] http://qa.debian.org/popcon.php?package=xeji
[3]
http://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html#bpp-pkg-synopsis
[4] http://dep.debian.net/deps/dep5/
[5] /usr/share/doc/debhelper/examples/rules.tiny
[6] http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
[7] http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html
[8] http://dep.debian.net/deps/dep3/

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPK0SpAAoJEMcrUe6dgPNtQKMP/jktuMN/RzQDF2YfoKnCzbLx
VXb9mB9jx1fdFTpqAXu6ANpnTeaa1gvBhoMrpqxVWGakgqFT2ctbp3l9xHmTEKhB
/SftLz+/AyDPREt99p3Mv1GXbWeo7tWLrIr++vnW95fm62g2VNxR0qpjzyejvK6S
agE/oOiQU2R1OoSj10GhMREZOWCU77DkVOd99XJjC77/4N7BLOC0xk+SKKtsz+9d
2ARsS+VfypBnvtF6rphvoHiV4r8gZOrSJ3KvWo5VNJ+S+d3YLlZIgRx4anoqe1dx
3inUhWPTxDO45tGNP7f5vwbWwDBykqjCsAKM/Vl5HVcJf+pOQ9IHxcSiBXFfq1Zs
HDd7YfrtogZB570OINvoMBgOtVIFf5scpsyI2/F5VqVA7NtUZaIWWpbr3Tb6qzWD
V1n3HuXmnv3CpW/DKrMt/psK1QR2PvqH2R5x6fE4xggTgKG+VdRXMmVJKO7vvPlT
/XEpWvNCA7uWhb3x8oXM2X0FHe5b9Na6ISZbyWprzPVRdUAD1JoPHjeAC16xG6Et
k77bCT9fp2GaWzs3IYq8nzwiK56q5307ouAXZwNrj7/EgQbhFTrJufE/nWnNnrrF
4F/PXAHBbt82WTaskRaabD8RbqWVt4IyJeHTav4qJvulb057dzeHYp4bN9RHPZJH
0ezb6XBuHhAhK7DBgtqT
=6oHw
-----END PGP SIGNATURE-----




Added tag(s) moreinfo. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Fri, 03 Feb 2012 02:24:04 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Fri, 03 Feb 2012 02:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658432; Package sponsorship-requests. (Fri, 03 Feb 2012 08:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Martí <danielmarti.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 03 Feb 2012 08:12:09 GMT) Full text and rfc822 format available.

Message #19 received at 658432@bugs.debian.org (full text, mbox):

From: Daniel Martí <danielmarti.debian@gmail.com>
To: Arno Töll <debian@toell.net>,658432@bugs.debian.org
Subject: Re: Bug#658432: RFS: xeji [ITA] -- Yet Another Follow the Mouse X demo
Date: Fri, 03 Feb 2012 09:08:32 +0100

Thanks for your quick reply, Arno.

"Arno Töll" <debian@toell.net> wrote:

>-----BEGIN PGP SIGNED MESSAGE-----
>Hash: SHA1
>
>tags 658432 +moreinfo +wontfix
>thanks
>
>Hi Daniel,
>
>On 02.02.2012 23:45, Daniel Martí wrote:
>> dget -x
>> http://mentors.debian.net/debian/pool/main/x/xeji/xeji_1.2-15.dsc
>
>First let me point out, I don't see much reasons to upload this
>package to Debian (not that I could anyway). It was orphaned and
>should rather be removed than uploaded. You even say yourself your
>primary purpose is to learn packaging [1], hence I'd suggest you to
>pick a package you really care for instead.

Of course. I did not know packages could be left aside for that reason; thanks for pointing that out 

>The package you picked has a low popcon [2] no reverse dependencies
>and seems generally not helpful at all. That said, if you really want
>to maintain this package that's up to you. Here is a review:
>
>* You modified the orig.tar.gz tarball somehow:
>
>$ md5sum deb-version/xeji_1.2.orig.tar.gz
>mentors-version/xeji_1.2.orig.tar.gz
>afc838ca6174ac98d67b1580832e24d4  deb-version/xeji_1.2.orig.tar.gz
>68893c38485b8063cdd6fbe81da76e11  mentors-version/xeji_1.2.orig.tar.gz
>
>That's not acceptable, especially since the tarball was already
>uploaded to Debian archives. Thus, you are not allowed to change the
>tarball anymore, once it was uploaded without pushing a new upstream
>version.

Hmm, I don't know what happened there. I don't recall modifying orig.tar.gz.

>Feel free to remove the "wontfix" tag once you addressed the tarball
>issue. Everything else is of lower importance.

Since I won't adopt this package, should I re-orphan it and close this bug? Or is there something else I should do?

>* debian/compat 6 is somewhat outdated these days. Joey released
>debehelper 9 just recently. Note, using compat 6 is not a tragedy, but
>you would profit from using compat 7 or higher a lot.
>
>* The synopsis line of the package is not really helpful (yet another
><whatever> does not help anyone) and does not match our guidelines [3].
>
>* You use the old copyright format, consider upgrading to DEP-5
>instead (that's optional of course).
>
>* Why do you install manpages manually in debian/rules? You should use
>dh_installman instead. This makes both, the install rule and the
>"dirs" file unneeded.
>
>* You should use the short dh form. Check [5] and dh(1) for examples.
>Most people consider the old-style debhelper form deprecated. While
>you are it, remove the source and diff targets. They are obsolete
>since ages it appears.
>
>* The package breaks the hardening release goal [6]. See [7] to learn
>how to apply hardening flags.
>
>* Since you upgraded to 3.0/quilt there is no point to add manpages as
>a patch anymore. Just put the file into debian/ and install it as I
>outlined above.
>
>* patches/xeji_c.patch misses an appropriate DEP-3 header (that's
>optional again)
>
>* Don't override I: and W: tags in Lintian. Moreover, note your
>explanation for overriding
>"copyright-should-refer-to-common-license-file-for-gpl" is wrong.
>That's not what the tag is about.
>
>* Remove the README.Debian file. The URL is dead and its information
>is redundant to debian/copyright.

Thanks for the feedback. Apart from the switch to quilt, all the comments above refer to stuff that the old maintainer did without much documentation.

>[1] bugs.debian.org/592977
>[2] http://qa.debian.org/popcon.php?package=xeji
>[3]
>http://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html#bpp-pkg-synopsis
>[4] http://dep.debian.net/deps/dep5/
>[5] /usr/share/doc/debhelper/examples/rules.tiny
>[6] http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
>[7] http://lists.debian.org/debian-devel-announce/2011/09/msg00001.html
>[8] http://dep.debian.net/deps/dep3/
>
>- -- 
>with kind regards,
>Arno Töll
>IRC: daemonkeeper on Freenode/OFTC
>GnuPG Key-ID: 0x9D80F36D
>-----BEGIN PGP SIGNATURE-----
>Version: GnuPG v1.4.11 (GNU/Linux)
>Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
>
>iQIcBAEBAgAGBQJPK0SpAAoJEMcrUe6dgPNtQKMP/jktuMN/RzQDF2YfoKnCzbLx
>VXb9mB9jx1fdFTpqAXu6ANpnTeaa1gvBhoMrpqxVWGakgqFT2ctbp3l9xHmTEKhB
>/SftLz+/AyDPREt99p3Mv1GXbWeo7tWLrIr++vnW95fm62g2VNxR0qpjzyejvK6S
>agE/oOiQU2R1OoSj10GhMREZOWCU77DkVOd99XJjC77/4N7BLOC0xk+SKKtsz+9d
>2ARsS+VfypBnvtF6rphvoHiV4r8gZOrSJ3KvWo5VNJ+S+d3YLlZIgRx4anoqe1dx
>3inUhWPTxDO45tGNP7f5vwbWwDBykqjCsAKM/Vl5HVcJf+pOQ9IHxcSiBXFfq1Zs
>HDd7YfrtogZB570OINvoMBgOtVIFf5scpsyI2/F5VqVA7NtUZaIWWpbr3Tb6qzWD
>V1n3HuXmnv3CpW/DKrMt/psK1QR2PvqH2R5x6fE4xggTgKG+VdRXMmVJKO7vvPlT
>/XEpWvNCA7uWhb3x8oXM2X0FHe5b9Na6ISZbyWprzPVRdUAD1JoPHjeAC16xG6Et
>k77bCT9fp2GaWzs3IYq8nzwiK56q5307ouAXZwNrj7/EgQbhFTrJufE/nWnNnrrF
>4F/PXAHBbt82WTaskRaabD8RbqWVt4IyJeHTav4qJvulb057dzeHYp4bN9RHPZJH
>0ezb6XBuHhAhK7DBgtqT
>=6oHw
>-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658432; Package sponsorship-requests. (Fri, 03 Feb 2012 10:57:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 03 Feb 2012 10:57:27 GMT) Full text and rfc822 format available.

Message #24 received at 658432@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: 658432@bugs.debian.org, Daniel Martí <danielmarti.debian@gmail.com>
Subject: Re: Bug#658432: RFS: xeji [ITA] -- Yet Another Follow the Mouse X demo
Date: Fri, 03 Feb 2012 11:53:34 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Daniel,

On 03.02.2012 09:08, Daniel Martí wrote:
>> Since I won't adopt this package, should I re-orphan it and close
>> this bug? Or is there something else I should do?

Orphan it again. Regarding this bug you can either close it or we
reassign to ftpmaster and ask them for a package removal.

>> Thanks for the feedback. Apart from the switch to quilt, all the
>> comments above refer to stuff that the old maintainer did without
>> much documentation.

Yes, I understood. However, times change as do packaging styles and
available technologies. This package wasn't touched for years. It is
your job to bring a package in shape if you want to take it over. :)


- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPK7yuAAoJEMcrUe6dgPNtQaIP/j522KKSHBK2x8bhQmwakUFO
p9Ylr9YXk2fmHZ2Wag5FU7OLYXjHIsCvwzdtsWUaGgWqErdgO8wNcn+mm+UVes1L
iCQEOGyfvGZRYb6pmkGg1b1ZzmsP/zLarshj2+7zvhBQfPIMDQfOuCROhsJZK9UV
RNBvEzUO0xnCPC7XyPsK4EtPTSfH5A+o2//w4xEN6LH7D3uojfNRAj4UuxBYF4Rg
sHXpRmGoyCYnvP7/tS3lVCVmUsEGyQSZgPuTeWfwOhC2g3k0ydEYnwhJW/zHYW/A
kp0Hwn/E00pGK1z/cLknQkHC10jCa/EbrNryFhX405hoWiZHpjPjDK4CucLcXKWS
KVr5McMBZsDmzxXbrvvPicPZbnKQswVMFhwPGNcUh9uAgbfN/wsvnavTUcAW+4RJ
KzyeISli9XBP0uWuOOeVeBmGfJSCzt9TYz8PYoCkc2pKMDtty58q47AWZFJhPs6A
8/wPx/YcSDeC+KiNPOTpkumVjjv/W1ebJI3cxOZjJpEFNmTc/5f4vLNnvyRgMD3J
B6tYPbgVKvc4VDurNkMoHDNhTe6CyOWMA/uALkQDnX1qlMG+ZQ1sWlAKcn6VDC0L
f8LefxEu3YP744IUHEviBVkFgkhzDjmHhZMaNfTqGnCl3d6GGLir7BsD+5D1EFnh
IcrEtV5sCgEy1JHWKxEe
=6Hd6
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658432; Package sponsorship-requests. (Fri, 03 Feb 2012 11:39:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Martí <danielmarti.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 03 Feb 2012 11:39:22 GMT) Full text and rfc822 format available.

Message #29 received at 658432@bugs.debian.org (full text, mbox):

From: Daniel Martí <danielmarti.debian@gmail.com>
To: Arno Töll <debian@toell.net>,658432@bugs.debian.org
Subject: Re: Bug#658432: RFS: xeji [ITA] -- Yet Another Follow the Mouse X demo
Date: Fri, 03 Feb 2012 12:36:27 +0100


>Orphan it again. Regarding this bug you can either close it or we
>reassign to ftpmaster and ask them for a package removal.

Orphaning again, OK.
And as far as this bug, I'll leave it up to you :-)

>Yes, I understood. However, times change as do packaging styles and
>available technologies. This package wasn't touched for years. It is
>your job to bring a package in shape if you want to take it over. :)

Agreed. I didn't mean I wouldn't solve those issues, the fact is that since support for this package will be dropped, there's no need in talking about them :-)

Thanks!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658432; Package sponsorship-requests. (Fri, 03 Feb 2012 11:45:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 03 Feb 2012 11:45:31 GMT) Full text and rfc822 format available.

Message #34 received at 658432@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: 658432@bugs.debian.org
Subject: Re: Bug#658432: RFS: xeji [ITA] -- Yet Another Follow the Mouse X demo
Date: Fri, 03 Feb 2012 12:43:28 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 03.02.2012 12:36, Daniel Martí wrote:
> Agreed. I didn't mean I wouldn't solve those issues, the fact is 
> that since support for this package will be dropped, there's no 
> need in talking about them :-)

I *suggested* that to you. It's your or anyone else's decision whether
or not to maintain a particular package. If people including you find
it interesting enough, feel free to maintain it.

*I* wouldn't bother - if you do, that's fair enough.


+ mind note: Write to the bug, not to the list.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPK8hgAAoJEMcrUe6dgPNt5sIP/A97KPuZL7/UVLHFZxzTrNy8
whIxFciDQCUDVC2zIhvo/G5wGbMTXEu4VBGcQiljn0rg/P/PhtlLuh2aFdswyqrC
1ULaKfRsEXxgmz2DbuwUi2/ZIkffHS4HFs84om3BnIKp/fFbzLFBU8iz7hAzyOh8
V3iSfy74jMwMFtnclfyHOUc1Wk8Pe9S3oQH0U7mWiNeyHYydhmGcq4J+6Pvw/hO4
O21E91Vz5ZRz41SJ2IKJ0OQotbHF6TuDawClv/LzOM7Nvu0EyAu8KmMpKMWxzqC3
AwF0jFmd+soAnolwk+dF13kMJ/IwgNFpPMorgpPVakFHeMCgNyCIRrtdXA992ol5
z6pBVseGoByM33Ze4EBjGpTGSxvqNsI7cwSNYLtlEVv6o+NRdFxu2evV8E3jZq17
xjgBaQOXe0JsmdQ6407WMeYwsa6muJyKkx3X/oNbz5QECMEHMF5d4njotT6D/8Nf
RL82XPiQid0ExzI/6fsYhVjcZRLhRELzB8QrgxA0WTiQ5ti5AhEil4yEv3Mi5EIZ
HAsEy+lRGnriTCzwkQuq+N31wHIzIaDoOjY9TVZ1tIM4V2SLgz1p2giVAk0DdjXA
ViKfBfiyY+F46NugswegAATpCZNUgV12hqbPsmCdy4w/QQN1ukNUU10GvNsVqEUQ
l2j/Ury4lF0tAjch/S2E
=cHhl
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658432; Package sponsorship-requests. (Fri, 03 Feb 2012 12:36:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Martí <danielmarti.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 03 Feb 2012 12:36:43 GMT) Full text and rfc822 format available.

Message #39 received at 658432@bugs.debian.org (full text, mbox):

From: Daniel Martí <danielmarti.debian@gmail.com>
To: Arno Töll <debian@toell.net>,658432@bugs.debian.org
Subject: Re: Bug#658432: RFS: xeji [ITA] -- Yet Another Follow the Mouse X demo
Date: Fri, 03 Feb 2012 13:34:25 +0100

>I *suggested* that to you. It's your or anyone else's decision whether
>or not to maintain a particular package. If people including you find
>it interesting enough, feel free to maintain it.
>
>*I* wouldn't bother - if you do, that's fair enough.

Oh, don't take me wrong - You pointed it out, I didn't feel in any way obliged to follow your suggestion. I just think you're right; the package has been abandoned upstream for years now.

Cheers!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mentors <debian-mentors@lists.debian.org>:
Bug#658432; Package sponsorship-requests. (Fri, 03 Feb 2012 14:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to Debian Mentors <debian-mentors@lists.debian.org>. (Fri, 03 Feb 2012 14:36:09 GMT) Full text and rfc822 format available.

Message #44 received at 658432@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: 658432@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#658432: RFS: xeji [ITA] -- Yet Another Follow the Mouse X demo
Date: Fri, 03 Feb 2012 15:32:35 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

reassign 658432 ftp.debian.org
retitle 658432 RM: xeji -- RoQA; unmaintained, low popcon

thanks

On 03.02.2012 13:34, Daniel Martí wrote:
> Oh, don't take me wrong - You pointed it out, I didn't feel in any 
> way obliged to follow your suggestion. I just think you're right;
> the package has been abandoned upstream for years now.

I'll request a removal then.

Dear ftpmasters please refer to reasons outlined in for a longer
explanation in my review why I think the package should be removed.

* Low popcon
* Orphaned (#592977)
* no reverse dependencies
* dead upstream
* let's put it that way: "limited usefulness"

- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPK/ADAAoJEMcrUe6dgPNtmUoP/3kN2WxmZxchnT9bIef69qXU
Nskdot8Q42wF+xaWrgSvTGckpIxG1n3+Fa4Yw2SQXoxzDpTiIPja+8Mlrf8+WBJR
efOka52V1sHsb2ukq24z6b3DUnK063Iz0VEtAgysg3sZsuspIeLwuzaAMnTBEsAm
c2zZU2QNP8qbBlspMamOpdUdQF+pJ4tKQgl7UrYmzcf6HcVFHkDJ6iw36efGuhLn
I7ru6VW9R2ru6RY14hxvST9Lg+QRe2gwpP9u04YZz78ceD/cCAa8BFqnls4LygMm
0VwDCkZgm0ORPAbVC/YgylFd3I3DuiAmaUCXEqOTNjaKynyv5R27fL871hWkd7ok
L/PKpp4ttkqjcoseiX1frZNFiOxHgk+pcn5VqAiGYWRTzDjIe3IE12bfKOuiW2mg
8NQvbjuYa4p65Pl2Oi7fiSXnVNJEs9Y6FdObJOe7vSoz5eJ6yLus7amdkqNzrLkD
zDBqi8lY8+UPTht0ydLlxG+ZzmKgsTYwFWogDCGxOLV4kgPJEtSyfxRbF+uEdrMk
i8a5numt6JZOfrigdiC/3G96PiITgYxaA0k7NmLq5tyukrqJca/y/8v106a5F8E7
KNLHkWdDlEd0Jj1mp9POjDzhmmK+1ZjdcTYHXGYpte91DxSpzk54B8YVKMHBzIZl
zMbWnbbNYzHbeRFryrHg
=utis
-----END PGP SIGNATURE-----




Bug reassigned from package 'sponsorship-requests' to 'ftp.debian.org'. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Fri, 03 Feb 2012 14:36:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: xeji -- RoQA; unmaintained, low popcon' from 'RFS: xeji [ITA] -- Yet Another Follow the Mouse X demo' Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Fri, 03 Feb 2012 14:36:11 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo and wontfix. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Fri, 03 Feb 2012 14:51:03 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 04 Feb 2012 23:09:12 GMT) Full text and rfc822 format available.

Notification sent to Daniel Martí <danielmarti.debian@gmail.com>:
Bug acknowledged by developer. (Sat, 04 Feb 2012 23:09:12 GMT) Full text and rfc822 format available.

Message #55 received at 658432-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 658432-close@bugs.debian.org
Cc: xeji@packages.debian.org, xeji@packages.qa.debian.org
Subject: Bug#658432: Removed package(s) from unstable
Date: Sat, 04 Feb 2012 23:06:46 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      xeji |     1.2-14 | source, amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc

------------------- Reason -------------------
RoQA; unmaintained, low popcon
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658432@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/658432

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 Mar 2012 07:31:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:49:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.